%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  function [ f ] = func( x )
%
%  Purpose
%
%       Calculates function value of the Rosenbrock function.
%
%       See Exercise 3.1 in J. Nocedal and S. J. Wright, 
%       "Numerical Optimization", Springer-Verlag, 1999.
%
%  Parameters
%
%  On entry:
%
%     x        vector 2x1 of iterates.
%
%  On return:
%
%     f        value of the objective function.
%
%
%  Written by L. N. Vicente.
%  February 21, 2000.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
  function [ f ] = func( x )
%
% Calculate the objective function.
  f = 100*(x(2)-x(1)^2)^2 + (1-x(1))^2;
%
% End of function func.
