%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  function [ g ] = gradient( x )
%
%  Purpose
%
%       Calculates gradient of the Rosenbrock function.
%
%       See Exercise 3.1 in J. Nocedal and S. J. Wright, 
%       "Numerical Optimization", Springer-Verlag, 1999.
%
%  Parameters
%
%  On entry:
%
%     x        vector 2x1 of iterates.
%
%  On return:
%
%     g        vector 2x1 with gradient of the objective function.
%
%
%  Written by L. N. Vicente.
%  February 21, 2000.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
  function [ g ] = gradient( x )
%
% Compute the gradient of the objective function.
  g(1) = -400*x(1)*(x(2)-x(1)^2) - 2*(1-x(1)); 
  g(2) = 200*(x(2)-x(1)^2);
  g = g';
%
% End of function gradient.
