%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  function [ H ] = hessian( x )
%
%  Purpose
%
%       Calculates Hessian of the Rosenbrock function.
%
%       See Exercise 3.1 in J. Nocedal and S. J. Wright, 
%       "Numerical Optimization", Springer-Verlag, 1999.
%
%  Parameters
%
%  On entry:
%
%     x        vector 2x1 of iterates.
%
%  On return:
%
%     H        matrix 2x2 with Hessian of the objective function.
%
%
%  Written by L. N. Vicente.
%  February 21, 2000.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
  function [ H ] = hessian( x )
%
% Compute the Hessain of the objective function.
  H(1,1) = -400*x(2) + 1200*x(1)^2 + 2;
  H(1,2) = -400*x(1);
  H(2,1) = H(1,2);
  H(2,2) = 200;
%
% End of function hessian.
